Create a Zone
Creates a Zone
POST
/
api
/
v2
/
platform
/
zones
Create a Zone
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
zone: {
name: 'EU',
description: 'All countries in the EU',
default_tax: true,
kind: 'state'
}
})
};
fetch('http://{defaultHost}/api/v2/platform/zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/zones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": {
"name": "EU",
"description": "All countries in the EU",
"default_tax": true,
"kind": "state"
}
}
'{
"data": {
"id": "117",
"type": "zone",
"attributes": {
"name": "Repellat corrupti laudantium soluta dolorum animi quidem reiciendis.",
"description": "Laudantium tenetur accusamus blanditiis fuga totam.",
"default_tax": false,
"zone_members_count": 0,
"created_at": "2022-11-08T19:36:09.930Z",
"updated_at": "2022-11-08T19:36:09.930Z",
"kind": "state"
},
"relationships": {
"zone_members": {
"data": []
}
}
}
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a Zone
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
zone: {
name: 'EU',
description: 'All countries in the EU',
default_tax: true,
kind: 'state'
}
})
};
fetch('http://{defaultHost}/api/v2/platform/zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/zones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": {
"name": "EU",
"description": "All countries in the EU",
"default_tax": true,
"kind": "state"
}
}
'{
"data": {
"id": "117",
"type": "zone",
"attributes": {
"name": "Repellat corrupti laudantium soluta dolorum animi quidem reiciendis.",
"description": "Laudantium tenetur accusamus blanditiis fuga totam.",
"default_tax": false,
"zone_members_count": 0,
"created_at": "2022-11-08T19:36:09.930Z",
"updated_at": "2022-11-08T19:36:09.930Z",
"kind": "state"
},
"relationships": {
"zone_members": {
"data": []
}
}
}
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}
